﻿using System;
using System.Threading;

namespace RRHubDemoApp
{
    internal class RedRatHubDemo
    {
        private static void Main()
        {
            // Simple C# console application to use RedRatHub.
            // Chris Dodge, Jason Rawlings - RedRat Ltd.

            var client = new Client();

            // Connect to the RedRatHub
            client.OpenSocket("localhost", 40000);

            // Send some IR signals
            client.SendMessage("ip=\"192.168.1.235\" dataset=\"Sky+\" signal=\"9\" output=\"12:10\"");
            Console.WriteLine("Sent signal\n");
            Thread.Sleep(2000);

            client.SendMessage("ip=\"192.168.1.235\" dataset=\"Sky+\" signal=\"9\" output=\"12:10\"");
            Console.WriteLine("Sent signal\n");
            Thread.Sleep(2000);

            client.SendMessage("ip=\"192.168.1.235\" dataset=\"Sky+\" signal=\"9\" output=\"12:10\"");
            Console.WriteLine("Sent signal\n");
            Thread.Sleep(2000);

            // List the datasets known by the hub
            Console.WriteLine("List of datasets:");
            var list = client.ReadData("hubquery=\"list datasets\"");
            Console.WriteLine(list);

            client.CloseSocket();
            Console.WriteLine("Finished. Hit <RETURN> to exit...");
            Console.ReadLine();
        }
    }
}
